### Signal

# Gtk DropTarget::accept

#### Declaration

    gboolean
    accept (
      GtkDropTarget self,
      GdkDrop* drop,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when a drop operation is about to begin.

If the drop is not accepted, `FALSE` will be returned and the drop target will ignore the drop. If `TRUE` is returned, the drop is accepted for now but may be rejected later via a call to gtk_drop_target_reject() or ultimately by returning `FALSE` from a `GtkDropTarget::drop` handler.

The default handler for this signal decides whether to accept the drop based on the formats provided by the `drop`.

If the decision whether the drop will be accepted or rejected depends on the data, this function should return `TRUE`, the `GtkDropTarget:preload` property should be set and the value should be inspected via the ::notify:value signal, calling gtk_drop_target_reject() if required.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`drop` | `GdkDrop*`
| The `GdkDrop`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `drop` is accepted.